import {
  BodyScrollLockDirective
} from "./chunk-KBQHBQTA.esm.js";

// src/c-scroll-lock.ts
import { defineComponent, withDirectives, cloneVNode } from "vue";
var CScrollLock = defineComponent({
  name: "CScrollLock",
  props: {
    enabled: {
      type: Boolean,
      default: false
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      var _a;
      const [firstChild] = (_a = slots.default) == null ? void 0 : _a.call(slots, {});
      if (!firstChild) {
        console.warn(`[chakra-ui:focus-lock]: Focus lock component expects at least and only one child element.`);
        return;
      }
      const scrollLockVNode = cloneVNode(firstChild, {
        ...attrs,
        "data-chakra-scroll-lock": `${props.enabled}`
      });
      return withDirectives(scrollLockVNode, [[BodyScrollLockDirective, props.enabled]]);
    };
  }
});

export {
  CScrollLock
};
